from Pycard import model, dialog

class FocusDialog(model.Background):

   def on_initialize(self, event):
      self.parent = self.getParent()

   def on_close(self, event):
      self.parent.on_CloseFocus(event)
      event.skip()

   def on_exit_command(self, event):
      self.close()

   def on_size(self, event):
      self.panel.SetSize(self.size)

   def on_ButtonLess_mouseClick(self, event):
      self.parent.on_FocusLess(event)

   def on_ButtonPlus_mouseClick(self, event):
      self.parent.on_FocusPlus(event)
